<html>
<head>
<title>OGRE: Ogre::Controller&lt; T &gt; Class Template Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Controller.html">Controller</a></div>
<h1>Ogre::Controller&lt; T &gt; Class Template Reference</h1><!-- doxytag: class="Ogre::Controller" -->Instances of this class 'control' the value of another object in the system.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreController_8h-source.html">OgreController.h</a>&gt;</code>
<p>

<p>
<a href="classOgre_1_1Controller-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#3fb917fd69fdc9d6799913970039652b">Controller</a> (const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;src, const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;dest, const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerFunction.html">ControllerFunction</a>&lt; T &gt; &gt; &amp;func)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Usual constructor.  <a href="#3fb917fd69fdc9d6799913970039652b"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">virtual&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#b0ba3276e026fdd9d6779e043a250617">~Controller</a> ()</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Default d-tor.  <a href="#b0ba3276e026fdd9d6779e043a250617"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#5432e56160bfd643bdcc0348ad191e11">setSource</a> (const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;src)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the input controller value.  <a href="#5432e56160bfd643bdcc0348ad191e11"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a><br>
&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#80a9f6dd19259820c055212a70127dc1">getSource</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the input controller value.  <a href="#80a9f6dd19259820c055212a70127dc1"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#f3f635f593cbe7d7973e5ab402846c5c">setDestination</a> (const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;dest)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the output controller value.  <a href="#f3f635f593cbe7d7973e5ab402846c5c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a><br>
&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#ee33f3e655a58d3575bc379888794c03">getDestination</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Gets the output controller value.  <a href="#ee33f3e655a58d3575bc379888794c03"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#40ebb32894b254f53080adc1819be175">getEnabled</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns true if this controller is currently enabled.  <a href="#40ebb32894b254f53080adc1819be175"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#780a6566e4af4b23e760863f3de02028">setEnabled</a> (bool enabled)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets whether this controller is enabled.  <a href="#780a6566e4af4b23e760863f3de02028"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#f5d922ba593d4132e75ea6fad2848677">setFunction</a> (const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerFunction.html">ControllerFunction</a>&lt; T &gt; &gt; &amp;func)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Sets the function object to be used by this controller.  <a href="#f5d922ba593d4132e75ea6fad2848677"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a><br>
&lt; <a class="el" href="classOgre_1_1ControllerFunction.html">ControllerFunction</a><br>
&lt; T &gt; &gt; &amp;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#50faa7325e4807f91f7618e0579c9245">getFunction</a> (void) const </td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Returns a pointer to the function object used by this controller.  <a href="#50faa7325e4807f91f7618e0579c9245"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#4b16ce7b5a436c3f895bea7960bdcb07">update</a> (void)</td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Tells this controller to map it's input controller value to it's output controller value, via the controller function.  <a href="#4b16ce7b5a436c3f895bea7960bdcb07"></a><br></td></tr>
<tr><td colspan="2"><br><h2>Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a><br>
&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#4d1095860c2e682f9e24527a3e0c3c4f">mSource</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Source value.  <a href="#4d1095860c2e682f9e24527a3e0c3c4f"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a><br>
&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#fe2a7e92f3f8ef890a236b6e3d3f6cfd">mDest</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Destination value.  <a href="#fe2a7e92f3f8ef890a236b6e3d3f6cfd"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a><br>
&lt; <a class="el" href="classOgre_1_1ControllerFunction.html">ControllerFunction</a><br>
&lt; T &gt; &gt;&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#0e43abdb63f94385ffddd6f24ae4bd73">mFunc</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">Function.  <a href="#0e43abdb63f94385ffddd6f24ae4bd73"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">bool&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Controller.html#9ec4cc3869f9637c506a7c05f5bf3edd">mEnabled</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system...">Controller</a> is enabled or not.  <a href="#9ec4cc3869f9637c506a7c05f5bf3edd"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
<h3>template&lt;typename T&gt;<br>
 class Ogre::Controller&lt; T &gt;</h3>

Instances of this class 'control' the value of another object in the system. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd><a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system...">Controller</a> classes are used to manage the values of object automatically based on the value of some input. For example, a <a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system...">Controller</a> could animate a texture by controlling the current frame of the texture based on time, or a different <a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system...">Controller</a> could change the colour of a material used for a spaceship shield mesh based on the remaining shield power level of the ship. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>The <a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system...">Controller</a> is an intentionally abstract concept - it can generate values based on input and a function, which can either be one of the standard ones supplied, or a function can be 'plugged in' for custom behaviour - see the <a class="el" href="classOgre_1_1ControllerFunction.html" title="Subclasses of this class are responsible for performing a function on an input value...">ControllerFunction</a> class for details. Both the input and output values are via <a class="el" href="classOgre_1_1ControllerValue.html" title="Can either be used as an input or output value.">ControllerValue</a> objects, meaning that any value can be both input and output of the controller. </dd></dl>
<dl class="user" compact><dt><b></b></dt><dd>Whilst this is very flexible, it can be a little bit confusing so to make it simpler the most often used controller setups are available by calling methods on the <a class="el" href="classOgre_1_1ControllerManager.html" title="Class for managing Controller instances.">ControllerManager</a> object. </dd></dl>
<dl class="see" compact><dt><b>See also:</b></dt><dd><a class="el" href="classOgre_1_1ControllerFunction.html" title="Subclasses of this class are responsible for performing a function on an input value...">ControllerFunction</a> </dd></dl>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00131">131</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>
<hr><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" name="3fb917fd69fdc9d6799913970039652b"></a><!-- doxytag: member="Ogre::Controller::Controller" ref="3fb917fd69fdc9d6799913970039652b" args="(const SharedPtr&lt; ControllerValue&lt; T &gt; &gt; &amp;src, const SharedPtr&lt; ControllerValue&lt; T &gt; &gt; &amp;dest, const SharedPtr&lt; ControllerFunction&lt; T &gt; &gt; &amp;func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html">Controller</a>           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;&nbsp;</td>
          <td class="paramname"> <em>dest</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerFunction.html">ControllerFunction</a>&lt; T &gt; &gt; &amp;&nbsp;</td>
          <td class="paramname"> <em>func</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Usual constructor. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>Requires source and destination values, and a function object. None of these are destroyed with the <a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system...">Controller</a> when it is deleted (they can be shared) so you must delete these as appropriate. </dd></dl>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00151">151</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b0ba3276e026fdd9d6779e043a250617"></a><!-- doxytag: member="Ogre::Controller::~Controller" ref="b0ba3276e026fdd9d6779e043a250617" args="()" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::~<a class="el" href="classOgre_1_1Controller.html">Controller</a>           </td>
          <td>(</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"><code> [virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Default d-tor. 
<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00160">160</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Function Documentation</h2>
<a class="anchor" name="5432e56160bfd643bdcc0348ad191e11"></a><!-- doxytag: member="Ogre::Controller::setSource" ref="5432e56160bfd643bdcc0348ad191e11" args="(const SharedPtr&lt; ControllerValue&lt; T &gt; &gt; &amp;src)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::setSource           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;&nbsp;</td>
          <td class="paramname"> <em>src</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the input controller value. 
<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00164">164</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="80a9f6dd19259820c055212a70127dc1"></a><!-- doxytag: member="Ogre::Controller::getSource" ref="80a9f6dd19259820c055212a70127dc1" args="(void) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt;T&gt; &gt;&amp; <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::getSource           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the input controller value. 
<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00169">169</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f3f635f593cbe7d7973e5ab402846c5c"></a><!-- doxytag: member="Ogre::Controller::setDestination" ref="f3f635f593cbe7d7973e5ab402846c5c" args="(const SharedPtr&lt; ControllerValue&lt; T &gt; &gt; &amp;dest)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::setDestination           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt; T &gt; &gt; &amp;&nbsp;</td>
          <td class="paramname"> <em>dest</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the output controller value. 
<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00174">174</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="ee33f3e655a58d3575bc379888794c03"></a><!-- doxytag: member="Ogre::Controller::getDestination" ref="ee33f3e655a58d3575bc379888794c03" args="(void) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt;T&gt; &gt;&amp; <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::getDestination           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Gets the output controller value. 
<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00180">180</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="40ebb32894b254f53080adc1819be175"></a><!-- doxytag: member="Ogre::Controller::getEnabled" ref="40ebb32894b254f53080adc1819be175" args="(void) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::getEnabled           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns true if this controller is currently enabled. 
<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00186">186</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="780a6566e4af4b23e760863f3de02028"></a><!-- doxytag: member="Ogre::Controller::setEnabled" ref="780a6566e4af4b23e760863f3de02028" args="(bool enabled)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::setEnabled           </td>
          <td>(</td>
          <td class="paramtype">bool&nbsp;</td>
          <td class="paramname"> <em>enabled</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets whether this controller is enabled. 
<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00192">192</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="f5d922ba593d4132e75ea6fad2848677"></a><!-- doxytag: member="Ogre::Controller::setFunction" ref="f5d922ba593d4132e75ea6fad2848677" args="(const SharedPtr&lt; ControllerFunction&lt; T &gt; &gt; &amp;func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::setFunction           </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerFunction.html">ControllerFunction</a>&lt; T &gt; &gt; &amp;&nbsp;</td>
          <td class="paramname"> <em>func</em>          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Sets the function object to be used by this controller. 
<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00199">199</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="50faa7325e4807f91f7618e0579c9245"></a><!-- doxytag: member="Ogre::Controller::getFunction" ref="50faa7325e4807f91f7618e0579c9245" args="(void) const " -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerFunction.html">ControllerFunction</a>&lt;T&gt; &gt;&amp; <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::getFunction           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Returns a pointer to the function object used by this controller. 
<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00206">206</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="4b16ce7b5a436c3f895bea7960bdcb07"></a><!-- doxytag: member="Ogre::Controller::update" ref="4b16ce7b5a436c3f895bea7960bdcb07" args="(void)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::update           </td>
          <td>(</td>
          <td class="paramtype">void&nbsp;</td>
          <td class="paramname">          </td>
          <td>&nbsp;)&nbsp;</td>
          <td width="100%"></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Tells this controller to map it's input controller value to it's output controller value, via the controller function. 
<p>
<dl class="remark" compact><dt><b>Remarks:</b></dt><dd>This method is called automatically every frame by <a class="el" href="classOgre_1_1ControllerManager.html" title="Class for managing Controller instances.">ControllerManager</a>. </dd></dl>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00216">216</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

</div>
</div><p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="4d1095860c2e682f9e24527a3e0c3c4f"></a><!-- doxytag: member="Ogre::Controller::mSource" ref="4d1095860c2e682f9e24527a3e0c3c4f" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt;T&gt; &gt; <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html#4d1095860c2e682f9e24527a3e0c3c4f">mSource</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Source value. 
<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00135">135</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

<p>Referenced by <a class="el" href="OgreController_8h-source.html#l00169">Ogre::Controller&lt; float &gt;::getSource()</a>, <a class="el" href="OgreController_8h-source.html#l00164">Ogre::Controller&lt; float &gt;::setSource()</a>, and <a class="el" href="OgreController_8h-source.html#l00216">Ogre::Controller&lt; float &gt;::update()</a>.</p>

</div>
</div><p>
<a class="anchor" name="fe2a7e92f3f8ef890a236b6e3d3f6cfd"></a><!-- doxytag: member="Ogre::Controller::mDest" ref="fe2a7e92f3f8ef890a236b6e3d3f6cfd" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerValue.html">ControllerValue</a>&lt;T&gt; &gt; <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html#fe2a7e92f3f8ef890a236b6e3d3f6cfd">mDest</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Destination value. 
<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00137">137</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

<p>Referenced by <a class="el" href="OgreController_8h-source.html#l00180">Ogre::Controller&lt; float &gt;::getDestination()</a>, <a class="el" href="OgreController_8h-source.html#l00174">Ogre::Controller&lt; float &gt;::setDestination()</a>, and <a class="el" href="OgreController_8h-source.html#l00216">Ogre::Controller&lt; float &gt;::update()</a>.</p>

</div>
</div><p>
<a class="anchor" name="0e43abdb63f94385ffddd6f24ae4bd73"></a><!-- doxytag: member="Ogre::Controller::mFunc" ref="0e43abdb63f94385ffddd6f24ae4bd73" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1SharedPtr.html">SharedPtr</a>&lt; <a class="el" href="classOgre_1_1ControllerFunction.html">ControllerFunction</a>&lt;T&gt; &gt; <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html#0e43abdb63f94385ffddd6f24ae4bd73">mFunc</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Function. 
<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00139">139</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

<p>Referenced by <a class="el" href="OgreController_8h-source.html#l00206">Ogre::Controller&lt; float &gt;::getFunction()</a>, <a class="el" href="OgreController_8h-source.html#l00199">Ogre::Controller&lt; float &gt;::setFunction()</a>, and <a class="el" href="OgreController_8h-source.html#l00216">Ogre::Controller&lt; float &gt;::update()</a>.</p>

</div>
</div><p>
<a class="anchor" name="9ec4cc3869f9637c506a7c05f5bf3edd"></a><!-- doxytag: member="Ogre::Controller::mEnabled" ref="9ec4cc3869f9637c506a7c05f5bf3edd" args="" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;typename T&gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Controller.html">Ogre::Controller</a>&lt; T &gt;::<a class="el" href="classOgre_1_1Controller.html#9ec4cc3869f9637c506a7c05f5bf3edd">mEnabled</a><code> [protected]</code>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
<a class="el" href="classOgre_1_1Controller.html" title="Instances of this class &#39;control&#39; the value of another object in the system...">Controller</a> is enabled or not. 
<p>

<p>Definition at line <a class="el" href="OgreController_8h-source.html#l00141">141</a> of file <a class="el" href="OgreController_8h-source.html">OgreController.h</a>.</p>

<p>Referenced by <a class="el" href="OgreController_8h-source.html#l00151">Ogre::Controller&lt; float &gt;::Controller()</a>, <a class="el" href="OgreController_8h-source.html#l00186">Ogre::Controller&lt; float &gt;::getEnabled()</a>, <a class="el" href="OgreController_8h-source.html#l00192">Ogre::Controller&lt; float &gt;::setEnabled()</a>, and <a class="el" href="OgreController_8h-source.html#l00216">Ogre::Controller&lt; float &gt;::update()</a>.</p>

</div>
</div><p>
<hr>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreController_8h-source.html">OgreController.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:28 2008
</p>
</body>
</html>
